JAMA

# Class: PHPExcel_Shared_JAMA_LUDecomposition

Source Location: /PHPExcel/Shared/JAMA/LUDecomposition.php

### Class Overview

#### Author(s):

- Michael Bommarito
- Paul Meagher
- Bartosz Matosiuk

#### Version:

- 1.1

### Constants

- MatrixSingularException
- MatrixSquareException

### Methods

- __construct
- det
- getDoublePivot
- getL
- getPivot
- getU
- isNonsingular
- solve

### Class Details

[line 21]

#### Tags:

author: | Michael Bommarito
author: | Paul Meagher
author: | Bartosz Matosiuk
version: | 1.1
license: | PHP

[ Top ]

### Class Methods

### constructor __construct [line 63]

`Structure __construct( $A $A)`

LU Decomposition constructor.

#### Tags:

return: | to access L, U and piv.
access: | public

#### Parameters:

$A | $A | Rectangular matrix

[ Top ]

### method det [line 203]

`array det( )`

Count determinants

#### Tags:

return: | d matrix deterninat
access: | public

[ Top ]

### method getDoublePivot [line 178]

`void getDoublePivot( )`

Alias for getPivot

#### Tags:

see: | PHPExcel_Shared_JAMA_LUDecomposition::getPivot()
access: | public

[ Top ]

### method getL [line 128]

`array getL( )`

Get lower triangular factor.

#### Tags:

return: | Lower triangular factor
access: | public

[ Top ]

### method getPivot [line 168]

`array getPivot( )`

Return pivot permutation vector.

#### Tags:

return: | Pivot vector
access: | public

[ Top ]

### method getU [line 149]

`array getU( )`

Get upper triangular factor.

#### Tags:

return: | Upper triangular factor
access: | public

[ Top ]

### method isNonsingular [line 188]

`true isNonsingular( )`

Is the matrix nonsingular?

#### Tags:

return: | if U, and hence A, is nonsingular.
access: | public

[ Top ]

### method solve [line 224]

`X solve( $B $B)`

Solve A*X = B

#### Tags:

return: | so that L*U*X = B(piv,:)
exception: | RuntimeException Matrix is singular.
exception: | IllegalArgumentException Matrix row dimensions must agree.
access: | public

#### Parameters:

$B | $B | A Matrix with as many rows as A and any number of columns.

[ Top ]

### Class Constants

#### MatrixSingularException = "Can only perform operation on singular matrix."

[line 23]

[ Top ]

#### MatrixSquareException = "Mismatched Row dimension"

[line 24]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:40 +0200 by phpDocumentor 1.4.4